%define module_name App-BinPackUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/BinPack.pm) perl(Data/Sah/Coerce/perl/float/str_suffix_filesize.pm) perl(Data/Sah/Coerce/perl/str/str_strip_trailing_slash.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/float.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(IPC/System/Options.pm) perl(Log/ger.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Base.pm) perl(Perinci/CmdLine/Classic.pm) perl(Perinci/Sub/DepChecker.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/filename.pm) perl(Sah/Schema/filesize.pm) perl(Sah/Schema/true.pm) perl(String/ShellQuote.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
BuildRequires: perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: Collection of CLI utilities related to packing items into bins
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-BinPackUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution provides the following command-line utilities:

=over

=item * the bin-files manpage

=item * the bin-files-into-dvds manpage

=item * the count-number-of-dvds-required manpage

=item * the pack-bins manpage

=back

Keywords: binpack, bin pack, packbin, pack bins, packing, binning, dvd planning,
files packing.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
* Mon Jan 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- regenerated from template by package builder

* Tue Jan 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- initial import by package builder

